import React, { useState, useEffect } from 'react';
import { Input, Menu, Dropdown, Button, Icon, message, Table, Divider, Tag, Select, Form, Alert } from 'antd';
import { FormattedMessage } from 'umi-plugin-react/locale';
import XForm, { FieldTypes } from '../../components/XForm';
import router from 'umi/router';
import apis from '../../services/apis';
import request from '../../utils/request';
import Wangedit from '../../components/Wangedit/Wangedit'
import moment from 'moment';


const header = props => {
    const serialNo = props.location.query.id
  
    const [ currentData, setData ] = useState({})
    if(serialNo){
      useEffect(() => {
        getData(serialNo);
      },[])
  
    // 查询列表
    const getData = (serialNo) => {
      request({
          ...apis.promote.get,
          urlData: { id: serialNo }
      }).then((data) => {
        setData(data)
      }).catch((err) => {
        message.error(err.msg || err.message)
      })
    }
    }
  
  
    const formItemLayout = {
      labelCol: { span: 6 },
      wrapperCol: { span: 14 },
    };

    const { getFieldDecorator } = props.form

    return (
      <div>
      <Form {...formItemLayout} >
                    <Form.Item label="公司名称">
                        {getFieldDecorator('company',{
                            initialValue: currentData.company,
                        })(
                            <Input
                                disabled
                                prefix={<Icon type="text" style={{ color: 'rgba(0,0,0,.25)' }} />}
                                placeholder="公司名称"
                            />,
                        )}
                    </Form.Item>
                   <Form.Item label="联系人">
                        {getFieldDecorator('name',{
                            initialValue: currentData.name
                        })(
                            <Input
                                disabled
                                prefix={<Icon type="text" style={{ color: 'rgba(0,0,0,.25)' }} />}
                                placeholder="联系人"
                            />,
                        )}
                    </Form.Item>
                    <Form.Item label="手机号">
                        {getFieldDecorator('phone',{
                            initialValue: currentData.phone
                        })(
                            <Input
                                disabled
                                prefix={<Icon type="text" style={{ color: 'rgba(0,0,0,.25)' }} />}
                                placeholder="手机号"
                            />,
                        )}
                    </Form.Item>
                    <Form.Item label="需求备注">
                        {getFieldDecorator('demand',{
                            initialValue: currentData.demand
                        })(
                            <Input
                                disabled
                                prefix={<Icon type="text" style={{ color: 'rgba(0,0,0,.25)' }} />}
                                placeholder="需求备注"
                            />,
                        )}
                    </Form.Item>
                   <Form.Item label="跟进状态">
                        {getFieldDecorator('status',{
                            initialValue: currentData.status === 1 ? '有效' : currentData.status === 2 ? "待跟进" : '无效'
                        })(
                          <Input
                          disabled
                          prefix={<Icon type="text" style={{ color: 'rgba(0,0,0,.25)' }} />}
                          placeholder="需求备注"
                      />,
                        )}
                    </Form.Item>
                {/* <Form.Item label="跟进备注">
                        {getFieldDecorator('follow',{
                            initialValue: currentData.follow
                        })(
                            <Input
                                prefix={<Icon type="text" style={{ color: 'rgba(0,0,0,.25)' }} />}
                                placeholder="跟进备注"
                            />,
                        )}
                    </Form.Item> */}
                <Form.Item label="备注信息">
                        {getFieldDecorator('remark',{
                            initialValue: currentData.remark
                        })(
                            <Input
                                disabled
                                prefix={<Icon type="text" style={{ color: 'rgba(0,0,0,.25)' }} />}
                                placeholder="备注信息"
                            />,
                        )}
                    </Form.Item>
                </Form>

                <Button type="danger" style={{marginLeft: "50em"}} onClick={() => router.go(-1)}>关闭</Button>
      </div>
    )
  }
  
  const WrappedNormalLoginForm = Form.create({ name: 'header' })(header);
  export default WrappedNormalLoginForm